<?php

namespace App\Http\Controllers;

use App\Models\Jobs;
use App\Models\TimeRecord;
use Illuminate\Http\Request;
use App\Models\JobApplication;
use Illuminate\Support\Facades\Http;

class DashboardController extends Controller
{
    public function index() {

        // $user_id = auth()->user()->id;

        // $jobs = Jobs::where('user_id', $user_id)->limit(5)->orderBy('created_at', 'desc')->get();
        // dd($jobs);

        $response = Http::get(config('app.company_api').'/api/jobs');
        $jobs = $response->json();
        return view('dashboard.index', [
            'jobs' => $jobs
        ]);
    }


    public function messages() {
        return view('dashboard.messages');
    }

    public function showJob($id) {
        
        $response = Http::get(config('app.company_api').'/api/jobs');
        
        $jobs = json_decode($response, true);
        $job_id = $id;

        if ($job_id) {
            // Filter the posts array based on the specified post ID
            $jobs = array_filter($jobs, function ($job) use ($job_id) {
                return $job['id'] == $job_id;
            });
        }

        $jobApplication = JobApplication::where('job_id', $job_id)->get()->first();
        
        // dd($jobs);

        // $job = $job->data;
        
        return view('jobs.show', [
            'jobs' => $jobs,
            'jobApplication' => $jobApplication
        ]);

    }

    public function search() {

        $user_id = auth()->user()->id;

        // $jobs = Jobs::where('user_id', $user_id)->limit(5)->orderBy('created_at', 'desc')->get();
        // dd($jobs);

        $response = Http::get(config('app.company_api').'/api/jobs');
        $jobs = $response->json();
        // dd($jobs);
        return view('dashboard.index', [
            'jobs' => $jobs
        ]);
    }

    public function myJob() {
        $user_id = auth()->user()->id;

        // $application = JobApplication::where('student_id', $user_id)->where('status', 5)->get()->first();
        $response = Http::get(config('app.company_api').'/api/employees/'.$user_id);
        $application = $response->json();
        if($application) {
            $response = Http::get(config('app.company_api').'/api/jobs/'.$application['job_id']);
            $job = $response->json();
            $timeRecord = TimeRecord::where('user_id', $user_id)->where('job_id', $job['id'])->get();
        } else {
            $job = null;
            $timeRecord = null;
        }

        return view ('dashboard.my-job', [
            'application' => $application,
            'job' => $job,
            'timeRecord' => $timeRecord
        ]);
    }
}
