<?php

namespace App\Http\Controllers;

use App\Models\Jobs;
use Illuminate\Http\Request;
use App\Models\JobApplication;

class JobController extends Controller
{
    public function create() {
        return view('jobs.create');
    }

    public function store(Request $request) {
        $user_id = auth()->user()->id;

        $this->validate($request, [
            'job_title' => 'required|string',
            'location' => 'required|string',
            'content' => 'required'
        ]);

        Jobs::create([
            'user_id' => $user_id,
            'job_title' => $request->job_title,
            'location' => $request->location,
            'content' => $request->content
        ]);


        return redirect(route('dashboard.jobs'));
    } 

    public function apply($job_id, $cid) {
        if($job_id) {
            JobApplication::create([
                'job_id' => $job_id,
                'user_id' => $cid,
                'student_id' => auth()->user()->id,
                'status' => 1
            ]);

            return redirect(route('dashboard'));
        }
    } 
}
