<?php

namespace App\Http\Controllers;

use App\Models\User;
use App\Models\Payment;
use Illuminate\Http\Request;
use App\Models\JobApplication;
use App\Models\StudentProfile;
use App\Models\StudentCardAccount;
use App\Models\StudentGcashAccount;
use Illuminate\Support\Facades\Http;

class ProfileController extends Controller
{
    public function completion() {

        $user_id = auth()->user()->id;
        $profile = StudentProfile::where('student_id', $user_id)->get()->first();
        if($profile) {
            return view('profile.index', [
                'profile' => $profile
            ]);
        }
        return view('auth.profile-completion');
    }

    public function completeProfile(Request $request) {
        $id = auth()->user()->id;

        $this->validate($request ,[
            'location' => 'nullable|string|max:255',
            'school' => 'nullable|string|max:255',
            'course' => 'nullable|string|max:255',
            'skills' => 'nullable|string', // Adjust validation rules for skills as needed
            // Add other fields as needed
        ]);
    
        StudentProfile::create([
            'student_id' => $id,
            'location' => $request->location,
            'mobile_number' => $request->mobile_number,
            'school' => $request->school,
            'course' => $request->course,
            'skills' => $request->skills
        ]);

        return redirect(route('profile.index'));
    }

    public function payments() {
        $gcash = StudentGcashAccount::where('student_id', auth()->id())->get()->first();
        $card = StudentCardAccount::where('student_id', auth()->id())->get()->first();

        return view('dashboard.payments', [
            'gcash' => $gcash,
            'card' => $card
        ]);
    }

    public function jobApplications() {
        // $applications = JobApplication::with(['student'])->where('student_id', auth()->id())->paginate(5);
        // $finalApplications = [];
        // foreach($applications as $application) {
        //     $response = Http::get(config('app.company_api').'/api/jobs/'.$application->job_id);
        //     $job = $response->json();
        //     $jobDetails = $job;
        //     $application['job'] = $jobDetails;
        //     array_push($finalApplications, $application);
        // }
        // dd($finalApplications);
        return view('dashboard.job-applications');
    }

    public function meetings() {

        $response = Http::get(config('app.company_api').'/api/student/meeting_schedule/'.auth()->id());
        $meetings = $response->json();

        $finalMeetings = [];

        foreach($meetings as $meeting) {
            $company = Http::get(config('app.company_api').'/api/users/'.$meeting['setter_id']);
            $company = $company->json();
            $job = Http::get(config('app.company_api').'/api/jobs/'.$meeting['job_id']);
            $job = $job->json();
            $meeting['company'] = $company;
            $meeting['job'] = $job;
            array_push($finalMeetings, $meeting);
        }
        // dd($finalMeetings);
        return view('dashboard.meetings', ['meetings' => $finalMeetings]);
    }

    public function acceptMeeting($id) {
        $meeting = Http::get(config('app.company_api').'/api/student/meeting_schedule/accept/'.$id);
        return back();
    }
}
