<?php

namespace App\Livewire;

use Livewire\Component;
use Livewire\WithPagination;
use Illuminate\Support\Facades\Http;
use App\Models\JobApplication as JApps;

class JobApplication extends Component
{

    use WithPagination;


    public function render()
    {
        $applications = JApps::with(['student'])->where('student_id', auth()->id())->paginate(5);
        $finalApplications = [];
        foreach($applications as $application) {
            $response = Http::get(config('app.company_api').'/api/jobs/'.$application->job_id);
            $job = $response->json();
            $jobDetails = $job;
            $application['job'] = $jobDetails;
            array_push($finalApplications, $application);
        }
        // dd($finalApplications);
        return view('livewire.job-application', [
            'finalApplications' => $finalApplications,
            'applications' => $applications
        ]);
    }
}
