<?php

namespace App\Livewire;

use Livewire\Component;
use App\Models\Messages;

class MessagesLeft extends Component
{

    public $conversations;


    public function mount() {
        $userID = 'student_' . auth()->user()->id;

        $this->conversations = Messages::select('*')
        ->where(function($query) use ($userID) {
            $query->where('receiver_id', $userID)
                  ->orWhere('sender_id', $userID);
        })
        ->selectRaw('CONCAT(
                        CASE WHEN sender_id < receiver_id THEN sender_id ELSE receiver_id END,
                        "-",
                        CASE WHEN sender_id < receiver_id THEN receiver_id ELSE sender_id END
                    ) AS id_pair')
        ->distinct('id_pair')
        ->get();
    }

    public function render()
    {
        dd($this->conversations);
        return view('livewire.messages-left');
    }
}
