<?php

namespace App\Livewire;

use App\Models\User;
use Livewire\Component;
use App\Models\StudentProfile;

class Profile extends Component
{

    public $profile;
    public $editFieldVisible = false;
    
    public $name;
    public $location;
    public $mobile_number;
    public $skills;
    public $hobbies;
    public $interests;
    public $files;
    public $resume;
    public $documents;

    public function mount() {
        $this->name = auth()->user()->name;
        $this->location = $this->profile['location'];
        $this->mobile_number = $this->profile['mobile_number'];
        $this->skills = explode(',', $this->profile['skills']);
        $this->interests = explode(',', $this->profile['interests']);
        $this->hobbies = explode(',', $this->profile['hobbies']);
        $this->resume = $this->profile['resume'];
        $this->files = $this->documents;
    }

    public function toggleEditField() {
        $this->editFieldVisible = !$this->editFieldVisible;
    }

    public function updateProfile($id) {
        $user = User::findOrFail($id);
        $user->name = $this->name;
        $user->save();

        $profile = StudentProfile::where('student_id', $id)->get()->first();
        $profile->location = $this->location;
        $profile->mobile_number = $this->mobile_number;
        $profile->save();

        $this->editFieldVisible = !$this->editFieldVisible;
    }

    public function render()
    {
        return view('livewire.profile');
    }
}
