<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class Payment extends Model
{
    use HasFactory;

    protected $fillable = ['type_id', 'user_id'];

    public function getType() {
        return $this->belongsTo(PaymentMethod::class, 'type_id');
    }

    public function getGcash() {
        return $this->belongsTo(GcashPayment::class, 'id', 'payment_id');
    }

    public function getCard() {
        return $this->belongsTo(CardPayment::class, 'id', 'payment_id');
    }
}
