@extends('layouts.app')

@section('content')

    <div class="container">
        <div class="register_box">
            <div class="initial_register_box">
                <h2>Complete your profile</h2>
                <div class="initial_register_form">
                    <form method="POST" action="{{ route('profile.submit') }}">
                        @csrf
                        <br>
                        <h4>Other Details</h4>
                        <div class="mb-3">
                            <label for="location" class="form-label">Location (Region)</label>
                            <input name="location" type="text" class="form-control @error('location') is-invalid @enderror" value="{{ old('location') }}" id="location" required>
                            @error('location')
                                <span class="invalid-feedback" role="alert">
                                    <strong>{{ $message }}</strong>
                                </span>
                            @enderror
                        </div>
                        <div class="mb-3">
                            <label for="mobile_number" class="form-label">Mobile Number</label>
                            <input name="mobile_number" type="text" class="form-control @error('mobile_number') is-invalid @enderror" value="{{ old('mobile_number') }}" id="mobile_number" required>
                            @error('mobile_number')
                                <span class="invalid-feedback" role="alert">
                                    <strong>{{ $message }}</strong>
                                </span>
                            @enderror
                        </div>
                        <div class="mb-3">
                            <label for="school" class="form-label">School</label>
                            <input name="school" type="text" class="form-control @error('school') is-invalid @enderror" value="{{ old('school') }}" id="school" required>
                            @error('school')
                                <span class="invalid-feedback" role="alert">
                                    <strong>{{ $message }}</strong>
                                </span>
                            @enderror
                        </div>
                        <div class="mb-3">
                            <label for="course" class="form-label">Course</label>
                            <input name="course" type="text" class="form-control @error('course') is-invalid @enderror" value="{{ old('course') }}" id="course" required>
                            @error('course')
                                <span class="invalid-feedback" role="alert">
                                    <strong>{{ $message }}</strong>
                                </span>
                            @enderror
                        </div>
                        <div class="mb-3">
                            <label for="skills" class="form-label">Skills</label>
                            <input name="skills" type="text" class="form-control @error('skills') is-invalid @enderror" value="{{ old('skills') }}" id="skills" required>
                            @error('skills')
                                <span class="invalid-feedback" role="alert">
                                    <strong>{{ $message }}</strong>
                                </span>
                            @enderror
                        </div>
                        <div class="mb-3">
                            <label for="interests" class="form-label">Interests</label>
                            <input name="interests" type="text" class="form-control @error('interests') is-invalid @enderror" value="{{ old('interests') }}" id="interests" required>
                            @error('interests')
                                <span class="invalid-feedback" role="alert">
                                    <strong>{{ $message }}</strong>
                                </span>
                            @enderror
                        </div>
                        <div class="mb-3">
                            <label for="hobbies" class="form-label">Hobbies(Optional)</label>
                            <input name="hobbies" type="text" class="form-control @error('hobbies') is-invalid @enderror" value="{{ old('hobbies') }}" id="hobbies" required>
                            @error('hobbies')
                                <span class="invalid-feedback" role="alert">
                                    <strong>{{ $message }}</strong>
                                </span>
                            @enderror
                        </div>
                        <div class="mb-3">
                            <label for="resume" class="form-label">Resume(Recommended)</label>
                            <input name="resume" type="text" class="form-control @error('resume') is-invalid @enderror" value="{{ old('resume') }}" id="resume" required>
                            @error('resume')
                                <span class="invalid-feedback" role="alert">
                                    <strong>{{ $message }}</strong>
                                </span>
                            @enderror
                        </div>
                        <br>
                        <button type="submit" class="btn btn-primary">Complete Profile</button>
                    </form>
                </div>
            </div>
        </div>
    </div>

@endsection