@extends('layouts.app')

@section('content')

<div class="container">
    <div class="dashboard-container">
        <h2>{{ $jobs->count() }} job ads</h2>
        @if(!$jobs)
        <h3>You don't have any job posting yet ...</h3>
        <br>
        <a href="#" class="btn">Create Job ad</a>
        @endif
        <div class="jobs-table table-responsive">
            <table class="table">

                <style>
                    table {
                        border-collapse: collapse;
                        width: 100%;
                    }

                    table, th, td {
                        border: none;
                    }

                    th, td {
                        padding: 8px;
                        text-align: left;
                    }

                    th {
                        background-color: #f2f2f2; /* Add background color for header if needed */
                    }
                    thead {
                        border-bottom: solid 5px #F7F8FB;
                    }
                </style>


                <thead>
                    <tr>
                        <th>Status</th>
                        <th>Job</th>
                        <th>Candidates</th>
                        <th>Job Actions</th>
                    </tr>
                </thead>
                <tbody>
                    @foreach($jobs as $job)
                        <tr>
                            <td>
                                {{ $job->status }}
                            </td>
                            <td>
                                <h6><a href="">{{ $job->job_title }}</a></h6>
                                <p>{{ $job->location }}</p>
                            </td>
                            <td>1</td>
                            <td></td>
                        </tr>
                    @endforeach
                </tbody>
            </table>
        </div>
        <br>
        <nav aria-label="Page navigation">
            <ul class="pagination justify-content-start">
                @if($jobs->onFirstPage())
                    <li class="page-item disabled">
                        <span class="page-link" aria-hidden="true">&laquo; Previous</span>
                    </li>
                @else
                    <li class="page-item">
                        <a class="page-link" href="{{ $jobs->previousPageUrl() }}" rel="prev" aria-label="Previous">&laquo; Previous</a>
                    </li>
                @endif

                @foreach(range(1, $jobs->lastPage()) as $page)
                    <li class="page-item {{ ($page == $jobs->currentPage()) ? 'active' : '' }}">
                        <a class="page-link" href="{{ $jobs->url($page) }}">{{ $page }}</a>
                    </li>
                @endforeach

                @if($jobs->hasMorePages())
                    <li class="page-item">
                        <a class="page-link" href="{{ $jobs->nextPageUrl() }}" rel="next" aria-label="Next">Next &raquo;</a>
                    </li>
                @else
                    <li class="page-item disabled">
                        <span class="page-link" aria-hidden="true">Next &raquo;</span>
                    </li>
                @endif
            </ul>
        </nav>
    </div>
</div>

@endsection