@extends('layouts.app')

@section('content')
    <div class="container-fluid">
        <div class="title-bar">
            <h3>Create a job ad</h3>
        </div>
    </div>
    <div class="container">
        <div class="register_box">
            <div class="initial_register_box">
                <div class="initial_register_form">
                    <form method="POST" action="{{ route('jobs.create') }}">
                        @csrf
                        <div class="mb-3">
                            <label for="job_title" class="form-label">Job Title</label>
                            <div class="form-text">Enter a simple job title (e.g. Web Developer)</div>
                            <input name="job_title" type="text" class="form-control @error('job_title') is-invalid @enderror" value="{{ old('job_title') }}" id="job_title" required>
                            @error('job_title')
                                <span class="invalid-feedback" role="alert">
                                    <strong>{{ $message }}</strong>
                                </span>
                            @enderror
                        </div>
                        <div class="mb-3">
                            <label for="location" class="form-label">Location</label>
                            <div class="form-text">Enter a suburb,city or region (e.g. Manila City Metro Manila)</div>
                            <input name="location" type="text" class="form-control @error('location') is-invalid @enderror" value="{{ old('location') }}" id="location" required>
                            @error('location')
                                <span class="invalid-feedback" role="alert">
                                    <strong>{{ $message }}</strong>
                                </span>
                            @enderror
                        </div>
                        <div class="mb-3">
                            <label for="">Write Up</label>
                            <textarea name="content" id="content" cols="30" rows="10" class="form-control"></textarea>
                        </div>
                        <button type="submit" class="btn btn-primary">Create</button>
                    </form>
                </div>
            </div>
        </div>
    </div>
@endsection