<!doctype html>
<html lang="{{ str_replace('_', '-', app()->getLocale()) }}">
<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">

    <!-- CSRF Token -->
    <meta name="csrf-token" content="{{ csrf_token() }}">

    <title>{{ config('app.name', 'Internship - CBZN Perspective') }}</title>

    <link rel="stylesheet" href="{{ asset('css/style.css') }}">

    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.2/dist/css/bootstrap.min.css" rel="stylesheet">

    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.3.2/dist/js/bootstrap.bundle.min.js"></script>
    
    <script src="https://kit.fontawesome.com/41dfcb9950.js" crossorigin="anonymous"></script>

</head>
<body class="overflow-x-hidden">
    @livewireStyles
    <div id="app">
        <!-- Navbar -->
        <nav class="navbar navbar-expand-lg">
            <div class="container">
                <!-- Logo -->
                <a class="navbar-brand" href="/">
                    <img src="{{ asset('images/internship_logo.png') }}" alt="">
                </a>
                <!-- Toggle Btn -->
                <button class="navbar-toggler shadow-none border-0" type="button" data-bs-toggle="offcanvas" data-bs-target="#offcanvasNavbar" aria-controls="offcanvasNavbar" aria-label="Toggle navigation">
                    <span class="navbar-toggler-icon"></span>
                </button>

                <!-- Sidebar -->

                <div class="sidebar offcanvas offcanvas-start" tabindex="-1" id="offcanvasNavbar" aria-labelledby="offcanvasNavbarLabel">
                    <!-- Sidebar Header -->
                    <div class="offcanvas-header text-white border-bottom">
                        <h5 class="offcanvas-title" id="offcanvasNavbarLabel">Seek</h5>
                        <button type="button" class="btn-close btn-close-white" data-bs-dismiss="offcanvas" aria-label="Close"></button>
                    </div>
                    <!-- Sidebar Body -->
                    <div class="offcanvas-body d-flex flex-column flex-lg-row p-4">
                        <ul class="navbar-nav justify-content-center align-items-center fs-5 flex-grow-1 pe-3 p-lg-0">
                            <li class="nav-item mx-2">
                                <a class="nav-link {{ URL::current() == route('dashboard') ? 'active' : '' }}" href="{{ route('dashboard') }}">Job Search</a>
                            </li>
                            <li class="nav-item mx-2">
                                <a class="nav-link {{ URL::current() == route('profile.index') ? 'active' : '' }}" href="{{route('profile.index')}}">Profile</a>
                            </li>
                            <li class="nav-item mx-2">
                                <a class="nav-link {{ URL::current() == route('seminars.index') ? 'active' : '' }}" href="{{ route('seminars.index') }}">Seminars</a>
                            </li>
                            <li class="nav-item mx-2">
                                <a class="nav-link" href="#">About Us</a>
                            </li>
                            <li class="nav-item mx-2">
                                <a class="nav-link" href="#">Contact Us</a>
                            </li>
                        </ul>
                        <div class="d-flex flex-column flex-lg-row justify-content-center align-items-center gap-3">
                            <!-- Login/Register -->
                            @guest
                            @if (Route::has('login'))
                                <a class="text-decoration-none" href="{{ route('login') }}">{{ __('Login') }}</a>
                            @endif

                            @if (Route::has('register'))
                                <a class="text-primary text-decoration-none px-3 py-1" href="{{ route('register') }}">{{ __('Employer Site') }}</a>
                            @endif
                            @else
                                <div class="nav-item dropdown">
                                    <a id="navbarDropdown" class="nav-link dropdown-toggle" href="#" role="button" data-bs-toggle="dropdown" aria-haspopup="true" aria-expanded="false" v-pre>{{ Auth::user()->name }}</a>
                                    <div class="dropdown-menu dropdown-menu-end" aria-labelledby="navbarDropdown">
                                        <a class="dropdown-item" href="{{route('profile.index')}}">Profile</a>
                                        <a class="dropdown-item" href="{{route('profile.meetings')}}">Meetings</a>
                                        <a class="dropdown-item" href="{{ route('profile.job-applications') }}">Job Applications</a>
                                        <a class="dropdown-item" href="{{ route('profile.job.current') }}">My Job</a>
                                        <a class="dropdown-item" href="{{ route('profile.payments') }}">Payment Methods</a>
                                        <a class="dropdown-item" href="{{ route('logout') }}"
                                        onclick="event.preventDefault();
                                                        document.getElementById('logout-form').submit();">
                                            {{ __('Logout') }}
                                        </a>

                                        <form id="logout-form" action="{{ route('logout') }}" method="POST" class="d-none">
                                            @csrf
                                        </form>
                                    </div>
                                </div>
                            @endguest
                        </div>
                    </div>
                </div>
            </div>
        </nav>


        <main class="">
            @yield('content')
        </main>

        <footer>

        </footer>
    </div>

    @livewireScripts
</body>
</html>
