<div>
<div class="job-search-box">
        <div class="container">
            <div class="row justify-content-center align-items-center">
                <div class="col-md-4">
                    <div class="mb-3">
                        <label for="keywords" class="form-label">What</label>
                        <input wire:model="keywords" type="text" class="form-control" placeholder="Enter keywords">
                    </div>
                </div>
                <div class="col-md-4">
                    <div class="mb-3">
                        <label for="keywords" class="form-label">Classification</label>
                        <input wire:model="classification" type="text" class="form-control" placeholder="Choose any classification">
                    </div>
                </div>
                <div class="col-md-4">
                    <div class="mb-3">
                        <label for="location" class="form-label">Location</label>
                        <input wire:model="location" type="text" class="form-control" placeholder="Enter city">
                        @error('location')
                            <span class="invalid-feedback" role="alert">
                                <strong>{{ $message }}</strong>
                            </span>
                        @enderror
                    </div>
                </div>
            </div>
            <div class="row">
                <div class="">
                    <button wire:click="search" class="btn btn-primary">Search</button>
                </div>
            </div>
        </div>
    </div>
    @if(!$searchPerformed)
    @if(auth()->user())
    <div class="container mt-5">
        <h3>Recommended jobs</h3>
        @foreach($jobs as $job)
        <div class="col-md-4 my-2">
            <div class="card">
                <div class="card-body">
                    <a href="{{ route('job.show', $job['id']) }}"><h4>{{ mb_strimwidth($job['job_title'], 0, 20, "...") }}</h4></a>
                    <p style="margin-bottom: 0">{{ $job['company']['company_name'] }}</p>
                </div>
            </div>
        </div>
        @endforeach
    </div>
    @else
        <div class="container">
            <div class="home-sign-in-banner">
                <div class="sign_in_register">
                    <div class="row justify-content-center">
                        <div class="col-md-6 text-end">
                            <a href="/login" class="btn btn-outline-success px-5 text-dark">Sign In</a>
                        </div>
                        <div class="col-md-6">
                            <a href="/register" class="btn px-5">Register</a>
                        </div>
                    </div>
                </div>
                <div class="sign-in-register-note">
                    Sign in to manage your Profile and view your recommended jobs.
                </div>
            </div>
        </div>
    @endif
    @else
        <div class="container mt-5">
            <div class="search-result-box">
                <div class="search-result-left">
                    @foreach($results as $result)
                    <div class="card search-result-card" wire:click="selectCard({{ $result['id'] }}) {{$selectedCard == $result['id'] ? 'selected-card' : ''}}">
                        <div class="card-body">
                            @if($result['brand'])
                                <div class="search-result-left-logo">
                                    <img src="http://localhost:8001/images/brands/{{ $result['brand']['logo'] }}" alt="">
                                </div>
                            @endif
                            <h4>{{ mb_strimwidth($result['job_title'], 0, 20, "...") }}</h4>
                            <p style="margin-bottom: 0">{{ $result['company']['company_name'] }}</p>
                            <p>{{ $result['category'] }}</p>
                        </div>
                    </div>
                    @endforeach
                </div>
                @if($selectedCard == null)
                <div class="search-result-empty">
                    <div class="search-result-right-title">You haven't selected a job ad.</div>
                    <div class="">Select a job from the left to see the details here.</div>
                </div>
                @else
                    <div x-data="{ showStickyDiv: false }" x-cloak>
                        <div class="search-result-content"
                            x-ref="scrollableDiv"
                            x-init="
                                 scrollableDiv = $refs.scrollableDiv;
                            " 
                            @scroll="
                                let triggerDiv = $refs.triggerDiv;
                                let showDiv = scrollableDiv.scrollTop > triggerDiv.offsetTop;
                                console.log(scrollableDiv.scrollTop);
                                console.log(triggerDiv.offsetTop);
                                showStickyDiv = showDiv;
                            "        
                        >
                            @if($cardData['brand'])
                                <div class="c_banner">
                                    <img src="http://localhost:8001/images/brands/{{ $cardData['brand']['cover_image'] }}" alt="">
                                </div>
                                <div class="logo">
                                    <img src="http://localhost:8001/images/brands/{{ $cardData['brand']['logo'] }}" alt="">
                                </div>
                            @endif
                            <h3>{{ $cardData['job_title'] }}</h3>
                            <p>{{ $cardData['location'] }}</p>
                            <p>{{ $cardData['category'] }}</p>
                            <br>
                                @if($jobApplication)
                                    <button class="btn p-3" disabled="disabled">Already Applied</button>
                                @else
                                    <a href="{{ route('job.apply', [$cardData['id'], $cardData['company']['id']]) }}" class="btn btn-primary p-3">Apply Now</a>
                                @endif
                            <div 
                                x-ref="triggerDiv"
                                class="trigger-div"
                            ></div>

                            <div
                                x-show="showStickyDiv"
                                class="hidden sticky-result-div"
                                x-cloak
                            >
                                <div class="sticky-box">
                                    <div class="details">
                                        <div class="title">{{ mb_strimwidth($result['job_title'], 0, 20, "...") }}</div>
                                        <div class="company" style="margin-bottom: 0">{{ $result['company']['company_name'] }}</div>
                                    </div>
                                    <div>
                                        @if($jobApplication)
                                        <button class="btn p-2" disabled="disabled">Already Applied</button>
                                        @else
                                            <a href="{{ route('job.apply', [$cardData['id'], $cardData['company']['id']]) }}" class="btn btn-primary p-2">Apply Now</a>
                                        @endif
                                    </div>
                                </div>
                            </div>

                            <br>
                            <p>{!! $cardData['content'] !!}</p>
                            <br>
                        </div>
                        <script>
                            function initScrollableDiv() {
                                return {
                                    showStickyDiv: false,

                                    handleScroll() {
                                        let scrollableDiv = this.$refs.scrollableDiv;
                                        let triggerDiv = this.$refs.triggerDiv;

                                        if (scrollableDiv && triggerDiv) {
                                            let showDiv = scrollableDiv.scrollTop > triggerDiv.offsetTop;
                                            this.showStickyDiv = showDiv;
                                        }
                                    }
                                };
                            }
                        </script>
                    </div>
                @endif
            </div>
        </div>
    @endif
</div>
