<div>
    @if(!$job)
    <div class="container mt-5">
        <h4>You don't have an ongoing internship yet..</h4>
    </div>
    @else
    <div class="container mt-5">
        <div class="job_details_banner">
            <div class="job_title">{{ $job['job_title'] }}</div>
            <div class="job_company_name">{{ $job['company']['company_name'] }}</div>
            <div class="job_started">{{ date('F j, Y', strtotime($job['updated_at'])) }}</div>
        </div>
        <div class="current-job-box">
            <div class="time-record">
                <div class="date_in_out">
                    <div class="date_time">
                        <div class="date">Date: {{ date('Y-m-d') }}</div>
                        <div class="time" wire:poll.60s>Time: {{ date('H:i') }}</div>
                    </div>
                    <div class="time_in_out">
                        @if($timeIn)
                            @if(!$timeOut)
                                <button class="btn btn-warning" wire:click="time_out">Time Out</button>
                            @else
                                <button class="btn btn-secondary text-dark" disabled>Time Out</button>
                            @endif
                        @else
                            <button class="btn btn-primary" wire:click="time_in">Time In</button>
                        @endif
                    </div>
                </div>
                <h5>Time Record</h5>
                @if($timeRecord->count() > 0)
                    <table class="table table-bordered">
                        <thead>
                            <tr>
                                <th>Date</th>
                                <th>Time In</th>
                                <th>Time Out</th>
                            </tr>
                        </thead>
                        <tbody>
                            @foreach($timeRecord as $record)
                                <tr>
                                    <td>{{ date('Y-m-d', strtotime($record->created_at)) }}</td>
                                    <td>{{ date('H:i', strtotime($record->time_in)) }}</td>
                                    <td>{{ $record->time_out ? date('H:i', strtotime($record->time_out)) : '' }}</td>
                                </tr>
                            @endforeach
                        </tbody>
                    </table>
                @else
                    No records found ...
                @endif
            </div>
        </div>
    </div>
    @endif
</div>
