<div>
    <div class="container mt-5">
        <div class="profile_header">
            <div class="profile_name">
                {{ $name }}
            </div>
            <div class="profile_location">
                <span><i style="margin-right: 10px;" class="fa fa-location-dot"></i> {{ $location }}</span>
            </div>
            <div class="profile_email">
                <span><i style="margin-right: 10px;" class="far fa-envelope"></i> {{ auth()->user()->email }}</span>
            </div>

            <div class="edit-button">
                <button wire:click="toggleEditField" class="btn-transparent">Edit</button>
            </div>
        </div>
        <div class="edit-field-container" style="{{ $editFieldVisible ? 'display: block' : '' }}">
            <div class="edit-profile-container">
                <div class="d-flex justify-content-between align-items-center">
                    <div>
                        <h2>Edit Personal Details</h2>
                    </div>
                    <div><h3 wire:click="toggleEditField" style="cursor: pointer;">X</h3></div>
                </div>
                <div class="mb-3">
                    <label for="name" class="form-label">Name</label>
                    <input type="text" class="form-control" wire:model="name">
                </div>
                <div class="mb-3">
                    <label for="location" class="form-label">Home Location</label>
                    <input type="text" class="form-control" wire:model="location">
                </div>
                <div class="mb-3">
                    <label for="mobile_number" class="form-label">Mobile Number(Recommended)</label>
                    <input type="text" class="form-control" wire:model="mobile_number">
                </div>
                <div class="mb-3">
                    <button class="px-3 btn btn-primary" wire:click="updateProfile('{{ auth()->user()->id }}')">Save</button>
                    <button wire:click="toggleEditField" class="btn px-3">Cancel</button>
                </div>
            </div>
        </div>

        <div class="profile_box">
            <h3>Education</h3>
            <div class="profile_education">
                <div class="profile_education_course_edit">
                    <div class="education">
                        <div class="school">
                            {{ $profile['school'] }}
                        </div>
                        <div class="course">{{ $profile['course'] }}</div>
                    </div>
                    <div class="education_edit">
                        <div class="edit_icon">
                            <i class="fa fa-pen"></i>
                        </div>
                    </div>
                </div>
            </div>
        </div>

        <div class="profile_box">
            <h3>Skills</h3>
            <div class="profile_skills">
                @foreach($skills as $skill)
                    <div class="skill-pill">
                        {{ $skill }}
                    </div>
                @endforeach
            </div>
            <div class="edit-button">
                <button wire:click="toggleEditField" class="btn-transparent-primary">Add Skill</button>
            </div>
        </div>

        <div class="profile_box">
            <h3>Interests</h3>
            <div class="profile_skills">
                @foreach($interests as $interest)
                    @if($interest)
                    <div class="skill-pill">
                        {{ $interest }}
                    </div>
                    @else
                    <p>Add your interests to show here.</p>
                    @endif
                @endforeach
            </div>
            <div class="edit-button">
                <button wire:click="toggleEditField" class="btn-transparent-primary">Add Interests</button>
            </div>
        </div>

        <div class="profile_box">
            <h3>Hobbies</h3>
            <div class="profile_skills">
                @foreach($hobbies as $hobby)
                    @if($hobby)
                    <div class="skill-pill">
                        {{ $hobby }}
                    </div>
                    @else
                    <p>Add your hobbies to show here.</p>
                    @endif
                @endforeach
            </div>
            <div class="edit-button">
                <button wire:click="toggleEditField" class="btn-transparent-primary">Add Hobbies</button>
            </div>
        </div>
    </div>
    <div class="container mt-5">
        <div class="profile-box">
            <h3>Resume</h3>
            <div class="resume-flex">
                <h5>{{ $resume }}</h5>
                <div class="resume_buttons">
                    <div>Download</div>
                    <div>Edit</div>
                </div>
            </div>
        </div>
    </div>

    <div class="container mt-5">
        <div class="profile-box">
            <h3>Documents</h3>
            <div class="profile_documents">
                @foreach($documents as $document)
                    <div class="document-pill">
                        <div>{{ $document->document_name }}</div>
                        <div>Download</div>
                    </div>
                @endforeach
            </div>
        </div>
    </div>
</div>
