<?php

use Illuminate\Http\Request;
use Illuminate\Support\Facades\Route;
use App\Http\Controllers\Api\JobController;
use App\Http\Controllers\Api\UserController;
use App\Http\Controllers\Api\TimeRecordController;
use App\Http\Controllers\Api\JobApplicationController;

/*
|--------------------------------------------------------------------------
| API Routes
|--------------------------------------------------------------------------
|
| Here is where you can register API routes for your application. These
| routes are loaded by the RouteServiceProvider and all of them will
| be assigned to the "api" middleware group. Make something great!
|
*/

Route::middleware('auth:sanctum')->get('/user', function (Request $request) {
    return $request->user();
});


Route::apiResource('job_applications', JobApplicationController::class);
Route::apiResource('users', UserController::class);
Route::apiResource('records', TimeRecordController::class);

Route::get('time-records/{sid}/{jid}', [TimeRecordController::class, 'records']);

Route::post('application/viewed/{sid}/{jid}', [JobApplicationController::class, 'viewed']);

Route::get('job_applications/company/{id}', [JobApplicationController::class, 'getCompany']);
