<?php

use Illuminate\Support\Facades\Auth;
use Illuminate\Support\Facades\Route;
use App\Http\Controllers\JobController;
use App\Http\Controllers\HomeController;
use App\Http\Controllers\ProfileController;
use App\Http\Controllers\DashboardController;
use App\Http\Controllers\Auth\LoginController;
use App\Http\Controllers\Auth\RegisterController;
use App\Http\Controllers\StudentProfileController;
use App\Http\Controllers\Auth\CompanyProfileController;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider and all of them will
| be assigned to the "web" middleware group. Make something great!
|
*/

// Route::get('/', function () {
//     return view('index');
// }); 

Route::get('/', [HomeController::class, 'index'])->name('home');

Auth::routes();

// Route::get('/login', [LoginController::class, 'showLoginForm'])->name('student.login');
// Route::post('/login', [LoginController::class, 'login'])->name('student.login');

// Route::get('/profile/completion', [RegisterController::class, 'completion'])->name('profile.completion');

Route::middleware(['web', 'auth'])->group(function () {
    Route::get('/profile/completion', [ProfileController::class, 'completion'])->name('profile.completion');
    Route::post('/profile/completion', [ProfileController::class, 'completeProfile'])->name('profile.submit');

    Route::get('/profile/job-applications', [ProfileController::class, 'jobApplications'])->name('profile.job-applications');

    Route::get('/profile/payment-methods', [ProfileController::class, 'payments'])->name('profile.payments');
    Route::get('/profile/meetings', [ProfileController::class, 'meetings'])->name('profile.meetings');
    Route::get('/profile/meeting/accept/{id}', [ProfileController::class, 'acceptMeeting'])->name('meeting.accept');

    //Profile
    Route::get('/profile', [StudentProfileController::class, 'index'])->name('profile.index');


    Route::get('/jobs/create', [JobController::class, 'create'])->name('jobs.create');
    Route::post('/jobs/create', [JobController::class, 'store'])->name('jobs.store');

    Route::get('/job/apply/{id}/{cid}', [JobController::class, 'apply'])->name('job.apply');

    Route::get('/job/current', [DashboardController::class, 'myJob'])->name('profile.job.current');


    Route::get('/messages', [DashboardController::class, 'messages'])->name('profile.messages');


});

    Route::get('/job/{id}', [DashboardController::class, 'showJob'])->name('job.show');


//Home
Route::get('/', [DashboardController::class, 'index'])->name('dashboard');
Route::get('/jobs', [DashboardController::class, 'jobs'])->name('dashboard.jobs');
Route::get('/home', [App\Http\Controllers\HomeController::class, 'index'])->name('home');
Route::get('/seminars', [HomeController::class, 'seminars'])->name('seminars.index');
