<!doctype html>
<html lang="<?php echo e(str_replace('_', '-', app()->getLocale())); ?>">
<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">

    <!-- CSRF Token -->
    <meta name="csrf-token" content="<?php echo e(csrf_token()); ?>">

    <title><?php echo e(config('app.name', 'Internship - CBZN Perspective')); ?></title>

    <link rel="stylesheet" href="<?php echo e(asset('css/style.css')); ?>">

    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.2/dist/css/bootstrap.min.css" rel="stylesheet">

    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.3.2/dist/js/bootstrap.bundle.min.js"></script>
    
    <script src="https://kit.fontawesome.com/41dfcb9950.js" crossorigin="anonymous"></script>

</head>
<body class="overflow-x-hidden">
    <?php echo \Livewire\Mechanisms\FrontendAssets\FrontendAssets::styles(); ?>

    <div id="app">
        <!-- Navbar -->
        <nav class="navbar navbar-expand-lg">
            <div class="container">
                <!-- Logo -->
                <a class="navbar-brand" href="/">
                    <img src="<?php echo e(asset('images/internship_logo.png')); ?>" alt="">
                </a>
                <!-- Toggle Btn -->
                <button class="navbar-toggler shadow-none border-0" type="button" data-bs-toggle="offcanvas" data-bs-target="#offcanvasNavbar" aria-controls="offcanvasNavbar" aria-label="Toggle navigation">
                    <span class="navbar-toggler-icon"></span>
                </button>

                <!-- Sidebar -->

                <div class="sidebar offcanvas offcanvas-start" tabindex="-1" id="offcanvasNavbar" aria-labelledby="offcanvasNavbarLabel">
                    <!-- Sidebar Header -->
                    <div class="offcanvas-header text-white border-bottom">
                        <h5 class="offcanvas-title" id="offcanvasNavbarLabel">Seek</h5>
                        <button type="button" class="btn-close btn-close-white" data-bs-dismiss="offcanvas" aria-label="Close"></button>
                    </div>
                    <!-- Sidebar Body -->
                    <div class="offcanvas-body d-flex flex-column flex-lg-row p-4">
                        <ul class="navbar-nav justify-content-center align-items-center fs-5 flex-grow-1 pe-3 p-lg-0">
                            <li class="nav-item mx-2">
                                <a class="nav-link <?php echo e(URL::current() == route('dashboard') ? 'active' : ''); ?>" href="<?php echo e(route('dashboard')); ?>">Job Search</a>
                            </li>
                            <li class="nav-item mx-2">
                                <a class="nav-link <?php echo e(URL::current() == route('profile.index') ? 'active' : ''); ?>" href="<?php echo e(route('profile.index')); ?>">Profile</a>
                            </li>
                            <li class="nav-item mx-2">
                                <a class="nav-link <?php echo e(URL::current() == route('seminars.index') ? 'active' : ''); ?>" href="<?php echo e(route('seminars.index')); ?>">Seminars</a>
                            </li>
                            <li class="nav-item mx-2">
                                <a class="nav-link" href="#">About Us</a>
                            </li>
                            <li class="nav-item mx-2">
                                <a class="nav-link" href="#">Contact Us</a>
                            </li>
                        </ul>
                        <div class="d-flex flex-column flex-lg-row justify-content-center align-items-center gap-3">
                            <!-- Login/Register -->
                            <?php if(auth()->guard()->guest()): ?>
                            <?php if(Route::has('login')): ?>
                                <a class="text-decoration-none" href="<?php echo e(route('login')); ?>"><?php echo e(__('Login')); ?></a>
                            <?php endif; ?>

                            <?php if(Route::has('register')): ?>
                                <a class="text-primary text-decoration-none px-3 py-1" href="<?php echo e(route('register')); ?>"><?php echo e(__('Employer Site')); ?></a>
                            <?php endif; ?>
                            <?php else: ?>
                                <div class="nav-item dropdown">
                                    <a id="navbarDropdown" class="nav-link dropdown-toggle" href="#" role="button" data-bs-toggle="dropdown" aria-haspopup="true" aria-expanded="false" v-pre><?php echo e(Auth::user()->name); ?></a>
                                    <div class="dropdown-menu dropdown-menu-end" aria-labelledby="navbarDropdown">
                                        <a class="dropdown-item" href="<?php echo e(route('profile.index')); ?>">Profile</a>
                                        <a class="dropdown-item" href="<?php echo e(route('profile.meetings')); ?>">Meetings</a>
                                        <a class="dropdown-item" href="<?php echo e(route('profile.job-applications')); ?>">Job Applications</a>
                                        <a class="dropdown-item" href="<?php echo e(route('profile.job.current')); ?>">My Job</a>
                                        <a class="dropdown-item" href="<?php echo e(route('profile.payments')); ?>">Payment Methods</a>
                                        <a class="dropdown-item" href="<?php echo e(route('logout')); ?>"
                                        onclick="event.preventDefault();
                                                        document.getElementById('logout-form').submit();">
                                            <?php echo e(__('Logout')); ?>

                                        </a>

                                        <form id="logout-form" action="<?php echo e(route('logout')); ?>" method="POST" class="d-none">
                                            <?php echo csrf_field(); ?>
                                        </form>
                                    </div>
                                </div>
                            <?php endif; ?>
                        </div>
                    </div>
                </div>
            </div>
        </nav>


        <main class="">
            <?php echo $__env->yieldContent('content'); ?>
        </main>

        <footer>

        </footer>
    </div>

    <?php echo \Livewire\Mechanisms\FrontendAssets\FrontendAssets::scripts(); ?>

</body>
</html>
<?php /**PATH E:\xampp\htdocs\student_cbzncorp_seek\resources\views/layouts/app.blade.php ENDPATH**/ ?>