<div>
    <div class="container mt-5">
        <div class="profile_header">
            <div class="profile_name">
                <?php echo e($name); ?>

            </div>
            <div class="profile_location">
                <span><i style="margin-right: 10px;" class="fa fa-location-dot"></i> <?php echo e($location); ?></span>
            </div>
            <div class="profile_email">
                <span><i style="margin-right: 10px;" class="far fa-envelope"></i> <?php echo e(auth()->user()->email); ?></span>
            </div>

            <div class="edit-button">
                <button wire:click="toggleEditField" class="btn-transparent">Edit</button>
            </div>
        </div>
        <div class="edit-field-container" style="<?php echo e($editFieldVisible ? 'display: block' : ''); ?>">
            <div class="edit-profile-container">
                <div class="d-flex justify-content-between align-items-center">
                    <div>
                        <h2>Edit Personal Details</h2>
                    </div>
                    <div><h3 wire:click="toggleEditField" style="cursor: pointer;">X</h3></div>
                </div>
                <div class="mb-3">
                    <label for="name" class="form-label">Name</label>
                    <input type="text" class="form-control" wire:model="name">
                </div>
                <div class="mb-3">
                    <label for="location" class="form-label">Home Location</label>
                    <input type="text" class="form-control" wire:model="location">
                </div>
                <div class="mb-3">
                    <label for="mobile_number" class="form-label">Mobile Number(Recommended)</label>
                    <input type="text" class="form-control" wire:model="mobile_number">
                </div>
                <div class="mb-3">
                    <button class="px-3 btn btn-primary" wire:click="updateProfile('<?php echo e(auth()->user()->id); ?>')">Save</button>
                    <button wire:click="toggleEditField" class="btn px-3">Cancel</button>
                </div>
            </div>
        </div>

        <div class="profile_box">
            <h3>Education</h3>
            <div class="profile_education">
                <div class="profile_education_course_edit">
                    <div class="education">
                        <div class="school">
                            <?php echo e($profile['school']); ?>

                        </div>
                        <div class="course"><?php echo e($profile['course']); ?></div>
                    </div>
                    <div class="education_edit">
                        <div class="edit_icon">
                            <i class="fa fa-pen"></i>
                        </div>
                    </div>
                </div>
            </div>
        </div>

        <div class="profile_box">
            <h3>Skills</h3>
            <div class="profile_skills">
                <!--[if BLOCK]><![endif]--><?php $__currentLoopData = $skills; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $skill): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                    <div class="skill-pill">
                        <?php echo e($skill); ?>

                    </div>
                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?> <!--[if ENDBLOCK]><![endif]-->
            </div>
            <div class="edit-button">
                <button wire:click="toggleEditField" class="btn-transparent-primary">Add Skill</button>
            </div>
        </div>

        <div class="profile_box">
            <h3>Interests</h3>
            <div class="profile_skills">
                <!--[if BLOCK]><![endif]--><?php $__currentLoopData = $interests; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $interest): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                    <!--[if BLOCK]><![endif]--><?php if($interest): ?>
                    <div class="skill-pill">
                        <?php echo e($interest); ?>

                    </div>
                    <?php else: ?>
                    <p>Add your interests to show here.</p>
                    <?php endif; ?> <!--[if ENDBLOCK]><![endif]-->
                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?> <!--[if ENDBLOCK]><![endif]-->
            </div>
            <div class="edit-button">
                <button wire:click="toggleEditField" class="btn-transparent-primary">Add Interests</button>
            </div>
        </div>

        <div class="profile_box">
            <h3>Hobbies</h3>
            <div class="profile_skills">
                <!--[if BLOCK]><![endif]--><?php $__currentLoopData = $hobbies; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $hobby): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                    <!--[if BLOCK]><![endif]--><?php if($hobby): ?>
                    <div class="skill-pill">
                        <?php echo e($hobby); ?>

                    </div>
                    <?php else: ?>
                    <p>Add your hobbies to show here.</p>
                    <?php endif; ?> <!--[if ENDBLOCK]><![endif]-->
                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?> <!--[if ENDBLOCK]><![endif]-->
            </div>
            <div class="edit-button">
                <button wire:click="toggleEditField" class="btn-transparent-primary">Add Hobbies</button>
            </div>
        </div>
    </div>
    <div class="container mt-5">
        <div class="profile-box">
            <h3>Resume</h3>
            <div class="resume-flex">
                <h5><?php echo e($resume); ?></h5>
                <div class="resume_buttons">
                    <div>Download</div>
                    <div>Edit</div>
                </div>
            </div>
        </div>
    </div>

    <div class="container mt-5">
        <div class="profile-box">
            <h3>Documents</h3>
            <div class="profile_documents">
                <!--[if BLOCK]><![endif]--><?php $__currentLoopData = $documents; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $document): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                    <div class="document-pill">
                        <div><?php echo e($document->document_name); ?></div>
                        <div>Download</div>
                    </div>
                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?> <!--[if ENDBLOCK]><![endif]-->
            </div>
        </div>
    </div>
</div>
<?php /**PATH E:\xampp\htdocs\student_cbzncorp_seek\resources\views/livewire/profile.blade.php ENDPATH**/ ?>